<div class="loading" *ngIf='status_loading' style="z-index: 3000;">Loading&#8230;</div>
<div class="row">
  <div class="col-12 d-flex bd-highlight">
    <div class="flex-grow-1 bd-highlight">
      <!-- <div class="title-warpper"> -->
      <div class="row">
        <div class="col-12">
          <div class="row">
            <span class="head-title" style="cursor: pointer;" (click)="backToDashboardPage()">
              <i style="font-size: 20px;cursor: pointer;padding-top: 12px;" class="fa fa-chevron-left"></i>
              การให้ความเห็นของสายงานบริหารคุณภาพสินเชื่อและกระบวนการธุรกิจเครือข่ายรายย่อย</span>
          </div>
        </div>
        <div class="col-12">
          <span class="sub-title">สามารถเพิ่มความเห็นตามสิทธิ์ของตนเองที่มีอยู่</span>
        </div>
      </div>
      <!-- </div> -->
    </div>
    <div class="bd-highlight" style="text-align: right; width: 40vw;">
      <button type="button" class="btn btn-save" (click)="save()" *ngIf="validate === true">บันทึก</button>
      <button type="button" class="btn btn-send" (click)="send()" *ngIf="level !== 'แอดมิน'">ส่งงาน</button>
    </div>
  </div>
</div>
<div class="alert alert-success" role="alert" [ngStyle]="{'display': saveDraftstatus !== 'success' ? 'none' : '' }">

  <!-- <a class="alert-detail" *ngIf="rowBy !== 'PO' && rowBy !== 'PC'">{{alertMessage}}</a>
  <a class="alert-detail" *ngIf="rowBy === 'PC' && level ==='เลขานุการ'">{{alertMessage}}</a>
  <a class="alert-detail" *ngIf="rowBy === 'PO' && level === 'พนักงาน'">{{alertMessage}}</a> -->
  <a class="alert-detail">{{alertMessage}}</a>
</div>

<!-- ---------------------------------------------Retail Role พนักงานหน่วยงานเจ้าของผลิตภัณฑ์ --------------------------------------------------------------------- -->
<div *ngIf="rowBy == 'Retail' && validate == true">
  <br>
  <div class="col-12">
    <div class="d-flex bd-highlight">
      <div class="w-100 bd-highlight">
        <span class="head-detal">ข้อมูลจากหน่วยงานที่เสนอเรื่อง :</span>
        <span class="head-detal-2"> รายละเอียดกระบวนการทำงาน </span>
      </div>

      <div>
        <button class="btn btn-primary" (click)="addRow()">
          <img src="assets/img/plus_icon.svg" /> เพิ่มข้อมูล
        </button>
      </div>
    </div>
  </div>


  <div class="col-12">
    <hr style="margin-top: 10px; margin-bottom: 20px;">
  </div>


  <div class=" w-100 bd-highlight overflow-auto" cdkDropListGroup>
    <table class="table-proccess table table-striped">
      <thead>
        <tr>
          <th rowspan="2" style="width: 250px; max-width: 250px;">
            กระบวนการหลัก
          </th>
          <!-- <th rowspan="2" *ngFor="let header of header_table" style="width: 250px; max-width: 250px;">
            {{ header }}
          </th> -->
          <ng-container *ngFor="let header of header_table">
            <th rowspan="2" *ngIf="header !== 'IT Related'" style="width: 250px; max-width: 250px">
              {{ header }}
            </th>
            <th rowspan="2" *ngIf="header === 'IT Related'" style="width: 150px; max-width: 250px">
              {{ header }}
            </th>
          </ng-container>
          <th rowspan="2" style="width: 255px; max-width: 250px;">
            ระบุความเสี่ยง
          </th>
          <th rowspan="2" style="width: 260px; max-width: 250px;">
            การควบคุมความเสี่ยง (เดิม)
          </th>
          <th rowspan="2" style="width: 250px; max-width: 250px;">
            การควบคุมความเสี่ยง (เพิ่มเติม)
          </th>
          <th colspan="3" style="width: 770px; vertical-align: inherit; text-align: center;">
            สายงานบริหารคุณภาพสินเชื่อและกระบวนการธุรกิจเครือข่ายรายย่อย
          </th>
          <th rowspan="2" style="width: 200px; max-width: 200px; text-align: center;"></th>
        </tr>
        <tr>
          <th style="width: 200px; max-width: 250px; text-align: center;">
            ความเห็น
          </th>
          <th style="width: 250px; max-width: 250px; text-align: center;">
            ประเด็น
          </th>
          <th style="width: 250px; max-width: 250px; text-align: center;">
            แนวทางการจัดการ
          </th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let item of retailData.listRetailProcessConsiders; index as istep">
          <td style="width: 250px; max-width: 250px;">
            <div *ngIf="checkStaticTitle(istep); else notStaticType">
              {{ item.mainProcess }}
            </div>
            <ng-template #notStaticType>
              <!-- <input type="text" style="margin-top: 10px;" class="form-control" placeholder="อื่นๆ ระบุ..." [(ngModel)]="item.mainProcess"
                (ngModelChange)="changeSaveDraft()" /> -->
              <textarea appTextareaAutoresize autocomplete="off" *ngIf="item['validate'] === true" type="text"
                style="margin-top: 10px;" class="form-control example" placeholder="อื่นๆ ระบุ..."
                [(ngModel)]="item.mainProcess" (ngModelChange)="changeSaveDraft()"></textarea>
              <div *ngIf="item['validate'] === false" style="text-align: left;">{{item.mainProcess}}</div>
            </ng-template>
          </td>
          <td colspan="15" class="pd-0">
            <table class="table-proccess-data" cdkDropList [cdkDropListData]="item.subProcess"
              (cdkDropListDropped)="drop($event)" (cdkDropListEntered)="entered($event)"
              (cdkDropListExited)="dragExited($event)">
              <tr *ngFor="let detailItem of item.subProcess; index as isup" [cdkDragData]="detailItem"
                (cdkDragStarted)="startDrag($event,istep)" cdkDrag>
                <td class="td_main-style" [ngClass]="{
                  td_single: istep % 2 !== 0,
                  td_couple: istep % 2 === 0
                }">
                  <img cdkDragHandle class="icongrap" src="assets/img/grip-vertical.svg" alt=""
                    *ngIf="detailItem['validate'] === true" />
                  <img cdkDragHandle class="icongrap" src="assets/img/grip-vertical.svg" alt=""
                    *ngIf="detailItem['validate'] === false" style="display: none;" />
                  <!-- <input type="text" class="form-control" placeholder="ระบุกระบวนการย่อย"
                    [(ngModel)]="detailItem.subTitle" (ngModelChange)="changeSaveDraft()" /> -->
                  <textarea appTextareaAutoresize autocomplete="off" *ngIf="detailItem['validate'] === true" type="text"
                    class="form-control example" placeholder="ระบุกระบวนการย่อย" [(ngModel)]="detailItem.subTitle"
                    (ngModelChange)="changeSaveDraft()"></textarea>
                  <div *ngIf="detailItem['validate'] === false" style="text-align: left;padding-left:0px">
                    {{detailItem.subTitle}}</div>
                </td>

                <td class="td_main-style" [ngClass]="{
                  td_single: istep % 2 !== 0,
                  td_couple: istep % 2 === 0
                }">
                  <select *ngIf="detailItem['validate'] === true" type="text" class="form-control"
                    [(ngModel)]="detailItem.inOut" (ngModelChange)="changeSaveDraft()">
                    <option *ngIf="detailItem.inOut === null " value=null selected disabled>
                      Select In/Out</option>
                    <option value="No">No</option>
                    <option value="Outsourcing_full">Outsourcing-full</option>
                    <option value="Outsourcing_partial">Outsourcing-partial</option>
                    <option value="Insourcing">Insourcing</option>
                    <option value="Insourcing_Out_full">Insourcing->Out-full</option>
                    <option value="Insourcing_Out_partial">Insourcing->Out-partial</option>
                    <option *ngIf="detailItem.inOut !== null" [ngValue]=null>==ไม่ระบุ In/Out==</option>
                    <!-- <option Value=null>null</option> -->
                  </select>
                  <div *ngIf="detailItem['validate'] === false" style="text-align: left;padding-left:0px">
                    {{detailItem.inOut}}</div>
                </td>

                <td class="td_main-style" [ngClass]="{
                  td_single: istep % 2 !== 0,
                  td_couple: istep % 2 === 0
                }" style="width: 150px;">
                  <select type="text" *ngIf="detailItem['validate'] === true" class="form-control"
                    [(ngModel)]="detailItem.itRelate" (ngModelChange)="changeSaveDraft()">
                    <option *ngIf="detailItem.itRelate === null" value=null selected disabled>Select IT Related</option>
                    <option value="Yes">Yes</option>
                    <option value="No">NO</option>
                    <option value="TBD">TBD</option>
                    <option *ngIf="detailItem.itRelate !== null" [ngValue]=null>==ไม่ระบุ IT Related==</option>
                  </select>
                  <div *ngIf="detailItem['validate'] === false" style="text-align: left;padding-left:0px">
                    {{detailItem.itRelate}}</div>
                </td>

                <td colspan="10" class="pd-0 sub_three_drag" style="padding-bottom: 0;vertical-align: top;"
                  class="table-proccess-data sub-2" cdkDropListGroup>
                  <!-- ===================================================================================================== -->
                  <table cdkDropList id="{{ detailItem.id }}" [cdkDropListData]="detailItem.subProcessRisk"
                    (cdkDropListDropped)="dropItem($event)" (cdkDropListEntered)="entered($event)"
                    (cdkDropListExited)="dragExited($event)" [cdkDropListConnectedTo]="connectItem()"
                    style="width:100%">
                    <tr *ngFor="
                      let RiskItem of detailItem.subProcessRisk;
                      index as RiskIndex
                    " [cdkDragData]="RiskItem" (cdkDragStarted)="startDrag_Risk($event, isup, istep)" cdkDrag>
                      <td style="
                        
                        max-width: 245px;
                        width: 255px;
                        text-align: center;
                        border-bottom: none !important;
                        vertical-align: top;
                      ">
                        <img cdkDragHandle class="icongrap_sub" src="assets/img/grip-vertical.svg" alt=""
                          *ngIf="RiskItem['validate'] === true" />
                        <img cdkDragHandle class="icongrap_sub" src="assets/img/grip-vertical.svg" alt=""
                          *ngIf="RiskItem['validate'] === false" style="display:none" />
                        <!-- <input type="text" class="form-control" placeholder="ระบุความเสี่ยง" [(ngModel)]="RiskItem.risk"
                          (ngModelChange)="changeSaveDraft()" /> -->
                        <textarea appTextareaAutoresize autocomplete="off" *ngIf="RiskItem['validate'] === true"
                          type="text" class="form-control example" placeholder="ระบุความเสี่ยง"
                          [(ngModel)]="RiskItem.risk" (ngModelChange)="changeSaveDraft()"></textarea>
                        <div *ngIf="RiskItem['validate'] === false" style="text-align: left;padding-left:0px">
                          {{RiskItem.risk}}</div>
                      </td>

                      <td style="
                        width: 255px;
                        max-width: 235px;
                        text-align: center;
                        border-bottom: none !important;
                        vertical-align: top;
                      ">
                        <!-- <input type="text" class="form-control" placeholder="ระบุการควบคุมความเสี่ยง (เดิม)"
                          [(ngModel)]="RiskItem.riskControl" (ngModelChange)="changeSaveDraft()" /> -->
                        <textarea appTextareaAutoresize autocomplete="off" *ngIf="RiskItem['validate'] === true"
                          type="text" class="form-control example" placeholder="ระบุการควบคุมความเสี่ยง (เดิม)"
                          [(ngModel)]="RiskItem.riskControl" (ngModelChange)="changeSaveDraft()"></textarea>
                        <div *ngIf="RiskItem['validate'] === false" style="text-align: left;padding-left:0px">
                          {{RiskItem.riskControl}}
                        </div>
                      </td>

                      <td style="
                        width: 250px;
                        max-width: 240px;
                        text-align: center;
                        border-bottom: none !important;
                        vertical-align: top;
                      ">
                        <!-- <input type="text" class="form-control" placeholder="ระบุการควบคุมความเสี่ยง (เพิ่มเติม)"
                          [(ngModel)]="RiskItem.riskControlOther" (ngModelChange)="changeSaveDraft()" /> -->
                        <textarea appTextareaAutoresize autocomplete="off" *ngIf="RiskItem['validate'] === true"
                          type="text" class="form-control example" placeholder="ระบุการควบคุมความเสี่ยง (เพิ่มเติม)"
                          [(ngModel)]="RiskItem.riskControlOther" (ngModelChange)="changeSaveDraft()"></textarea>
                        <div *ngIf="RiskItem['validate'] === false" style="text-align: left;padding-left:0px">
                          {{RiskItem.riskControlOther}}</div>
                      </td>

                      <td style="
                        width: 250px;
                        max-width: 250px;
                        text-align: center;
                        border-bottom: none !important;
                        vertical-align: top;
                      ">
                        <select type="text" class="form-control" placeholder="ระบุความเห็น"
                          [(ngModel)]="RiskItem.remark" (ngModelChange)="changeSaveDraft()">
                          <option *ngIf="RiskItem.remark === null" value=null selected disabled>ระบุความเห็น</option>
                          <option Value="ยอมรับได้">ยอมรับได้</option>
                          <option Value="ไม่เห็นด้วย">ไม่เห็นด้วย</option>
                          <option Value="ไม่เกี่ยวข้อง">ไม่เกี่ยวข้อง</option>
                          <option *ngIf="RiskItem.remark !== null" [ngValue]=null>==ไม่ระบุความเห็น==</option>
                          <!-- <option Value=null>ไม่ระบุข้อมูล</option> -->
                        </select>
                      </td>

                      <td style="
                        width: 250px;
                        max-width: 250px;
                        text-align: center;
                        border-bottom: none !important;
                        vertical-align: top;
                      ">
                        <!-- <input type="text" class="form-control" placeholder="ระบุประเด็น" [(ngModel)]="RiskItem.subject"
                          (ngModelChange)="changeSaveDraft()" /> -->
                        <textarea appTextareaAutoresize autocomplete="off" type="text" class="form-control example"
                          placeholder="ระบุประเด็น" [(ngModel)]="RiskItem.subject"
                          (ngModelChange)="changeSaveDraft()"></textarea>
                      </td>

                      <td style="
                        width: 260px;
                        max-width: 260px;
                        text-align: center;
                        border-bottom: none !important;
                        vertical-align: top;
                      ">
                        <!-- <input type="text" class="form-control" placeholder="ระบุแนวทางการจัดการ"
                          [(ngModel)]="RiskItem.management" (ngModelChange)="changeSaveDraft()" /> -->
                        <textarea appTextareaAutoresize autocomplete="off" type="text" class="form-control example"
                          placeholder="ระบุแนวทางการจัดการ" [(ngModel)]="RiskItem.management"
                          (ngModelChange)="changeSaveDraft()"></textarea>
                      </td>

                      <td style="
                        width: 170px;
                        max-width: 200px;
                        text-align: center;
                        border-bottom: none !important;
                        vertical-align: top;
                      ">
                        <!-- <span class="delete-data" (click)="removeDataItem(istep, isup, RiskIndex)">ลบข้อมูล</span> -->
                        <span *ngIf="RiskItem['validate'] === true" class="delete-data"
                          (click)="removeDataItem(istep, isup, RiskIndex)">ลบข้อมูล</span>
                        <span *ngIf="RiskItem['validate'] === false" disabled class="delete-data-false">ลบข้อมูล</span>
                      </td>
                    </tr>
                  </table>
                </td>
                <!--==================================================================================== -->

              </tr>
            </table>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
  <br />
  <div class="d-flex justify-content-end">
    <button class="btn btn-primary" (click)="addRow()">
      <img src="assets/img/plus_icon.svg" /> เพิ่มข้อมูล
    </button>
  </div>
  <br />
  <br />
  <br />
  <br />
  <!-- ====================== -->
  <div class="detail_other">
    <div class="header_other">
      <th>ความเห็นเพิ่มเติม</th>
    </div>

    <div class="btn_other">
      <button class="btn btn-primary" (click)="Add_commentOperation_1()">
        <img src="assets/img/plus_icon.svg" /> เพิ่มข้อมูล
      </button>
    </div>
  </div>

  <hr style="
    height: 1px;
    background-color: rgb(223, 223, 223);
    border: 1px solid rgb(223, 223, 223);
  " />
  <br />
  <div class="remark_other">
    <table>
      <thead>
        <tr>
          <th colspan="2" class="one_th">สายงานบริหารคุณภาพสินเชื่อและกระบวนการธุรกิจเครือข่ายรายย่อย</th>
        </tr>
        <tr>
          <th style="width: 30%;">ประเด็น</th>
          <th>แนวทางการจัดการ</th>
        </tr>
      </thead>

      <tbody>
        <tr *ngFor="let data of retailData.listRetailProcessConsidersExtra; index as number">
          <td style="width: 30%;vertical-align: top;" [ngClass]="{
          td_single: number % 2 !== 0,
          td_couple: number % 2 === 0
        }">
            <!-- <input class="form-control" placeholder="ระบุประเด็น" [(ngModel)]="data.subject" /> -->
            <textarea appTextareaAutoresize autocomplete="off" class="form-control example" placeholder="ระบุประเด็น"
              [(ngModel)]="data.subject" (ngModelChange)="changeSaveDraft()"></textarea>
          </td>
          <td style="vertical-align: top;" [ngClass]="{
          td_single: number % 2 !== 0,
          td_couple: number % 2 === 0
        }">
            <!-- <input class="form-control" placeholder="ระบุแนวทางการจัดการ" [(ngModel)]="data.management" /> -->
            <textarea appTextareaAutoresize autocomplete="off" class="form-control example"
              placeholder="ระบุแนวทางการจัดการ" [(ngModel)]="data.management"
              (ngModelChange)="changeSaveDraft()"></textarea>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
  <br>
  <div class="btn_other">
    <button class="btn btn-primary" (click)="Add_commentOperation_1()">
      <img src="assets/img/plus_icon.svg" /> เพิ่มข้อมูล
    </button>
  </div>
  <!-- =============================================================================================== -->
  <br>
  <br>
  <br>
  <div class="table_main">
    <div class="header_table">
      <div class="text_header">
        ข้อมูลจากหน่วยงานที่เสนอเรื่อง : &nbsp;ความพร้อมด้านการดำเนินการ
      </div>

      <div class="btn_header"></div>
    </div>
  </div>
  <hr class="new4" />
  <br />
  <div class="readiness">
    <table class="readiness-table">
      <thead>
        <tr>
          <th class="sticky-header text-nowrap" style="vertical-align: inherit;" rowspan="2">
            กระบวนการหลัก
          </th>
          <th class="sticky-header-sub text-nowrap" style="vertical-align: inherit;" rowspan="2">
            กระบวนการย่อย
          </th>
          <th class="text-nowrap" style="width: 250px; vertical-align: inherit" rowspan="2">
            แนวทางการจัดการ
          </th>
          <th class="text-nowrap" style="width: 250px; vertical-align: inherit;padding-left:20px" rowspan="2">
            แนวทางการจัดการ
          </th>
          <th class="text-nowrap" style="text-align: center" rowspan="2">
            ผู้รับผิดชอบ
          </th>
          <th class="text-nowrap" style="width: 250px; vertical-align: inherit;text-align: center" rowspan="2">
            กำหนดแล้วเสร็จ
          </th>
          <th class="text-nowrap" style="
          width: 650px;
          vertical-align: inherit;
          text-align: center;
          border-bottom: 1px solid rgb(190, 190, 190);
        " colspan="3">
            สายงานบริหารคุณภาพสินเชื่อและกระบวนการธุรกิจเครือข่ายรายย่อย
          </th>
        </tr>
        <tr>
          <th class="text-nowrap">
          </th>
          <th class="text-nowrap" style="text-align: center;">
            ความเห็น
          </th>
          <th class="text-nowrap" style="text-align: center;">
            ประเด็น
          </th>
          <th class="text-nowrap" style="text-align: center;">
            แนวทางการจัดการ
          </th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let item of retailData.listRetailOperationDetail; index as istep" [ngClass]="{
          row_single: istep % 2 !== 0,
          row_couple: istep % 2 === 0
        }">
          <!--  -->
          <td class="sticky-column" style="vertical-align: top;" [ngClass]="{
            row_single: istep % 2 !== 0,
            row_couple: istep % 2 === 0
          }">
        <tr [attr.rowspan]="item.commentOperation.length + 1">
          {{item.mainProcess}}
          <!-- <textarea autosize class="form-control" [(ngModel)]="item.process"></textarea> -->
        </tr>
        </td>

        <td style="vertical-align: top;border-bottom:1.5px solid #dadada" [attr.colspan]="7">

          <table class="flex-readiness">
            <tr class="d-flex" *ngFor="let process of item.commentOperation; let i = index"
              style="height: 100%;padding:0 !important;">
              <!-- class="sticky-column-sub" -->
              <td class="sticky-column-sub" [ngClass]="{
                row_single: istep % 2 !== 0,
                row_couple: istep % 2 === 0
              }" [ngStyle]="{'border-bottom' : i+1 === item.commentOperation.length ? 'none' : '1.5px solid #dadada'}">
                {{process.subProcess}}</td>
              <td style="padding-left:20px"
                [ngStyle]="{'border-bottom' : i+1 === item.commentOperation.length ? 'none' : '1.5px solid #dadada'}">
                {{process.management}}</td>
              <td style="text-align: center"
                [ngStyle]="{'border-bottom' : i+1 === item.commentOperation.length ? 'none' : '1.5px solid #dadada'}">
                {{process.responsible}}</td>

              <td style="text-align: center"
                [ngStyle]="{'border-bottom' : i+1 === item.commentOperation.length ? 'none' : '1.5px solid #dadada'}">
                {{covertDateToCorrect(process.dueDate)}}</td>

              <td style="
              display: flex;
              align-items: flex-start;
              justify-content: center;"
                [ngStyle]="{'border-bottom' : i+1 === item.commentOperation.length ? 'none' : '1.5px solid #dadada'}">
                <div *ngIf="validate === false;" style=" text-align: center !important;
              vertical-align: top !important;padding-top: 0px !important;">{{process.reviews }}
                </div>
                <select *ngIf="validate === true;" class="form-control" style="width: 180px;margin-top: 10px;"
                  [(ngModel)]="process.reviews" (ngModelChange)="changeSaveDraft()">
                  <option *ngIf="process.reviews === null" value=null selected disabled>
                    ระบุความเห็น
                  </option>
                  <option value="ยอมรับได้">ยอมรับได้</option>
                  <option value="ไม่เห็นด้วย">ไม่เห็นด้วย</option>
                  <option value="ไม่เกี่ยวข้อง">ไม่เกี่ยวข้อง</option>
                  <option *ngIf="process.reviews !== null" [ngValue]=null>==ไม่ระบุความเห็น==</option>
                  <!-- <option value=null>ไม่ระบุข้อมูล</option> -->
                </select>
              </td>

              <td style="display: flex;padding-top: 10px;
              padding-bottom: 12px;padding-right:14px;"
                [ngStyle]="{'border-bottom' : i+1 === item.commentOperation.length ? 'none' : '1.5px solid #dadada'}">
                <div *ngIf="validate === false;" style=" align-items:flex-start;text-align: left;
                justify-content: top;vertical-align: top !important;text-align:left">
                  {{process.subject }}</div>
                <textarea placeholder="ระบุประเด็น" (ngModelChange)="changeSaveDraft()" *ngIf="validate === true;"
                  appTextareaAutoresize autocomplete="off" class="form-control example"
                  [(ngModel)]="process.subject"></textarea>
              </td>

              <td style="display: flex;padding-top: 10px;
              padding-bottom: 12px;padding-right:14px;"
                [ngStyle]="{'border-bottom' : i+1 === item.commentOperation.length ? 'none' : '1.5px solid #dadada'}">
                <!-- {{process.commentManagement }} -->
                <div *ngIf="validate === false;" style=" align-items:flex-start;text-align: left;
                justify-content: top;vertical-align: top !important;text-align:left">
                  {{process.manage }}</div>
                <textarea placeholder="ระบุแนวทางการจัดการ" (ngModelChange)="changeSaveDraft()"
                  *ngIf=" validate===true;" appTextareaAutoresize autocomplete="off" class="form-control example"
                  [(ngModel)]="process.manage"></textarea>
              </td>

            </tr>
          </table>
        </td>


        </tr>
      </tbody>
    </table>
  </div>
  <br />
  <br />
  <!-- =============================================================================================== -->
  <div class="detail_other">
    <div class="header_other">
      <th>ความเห็นเพิ่มเติม</th>
    </div>

    <div class="btn_other">
      <button class="btn btn-primary" (click)="Add_commentOperation_2()">
        <img src="assets/img/plus_icon.svg" /> เพิ่มข้อมูล
      </button>
    </div>
  </div>

  <hr style="
    height: 1px;
    background-color: rgb(223, 223, 223);
    border: 1px solid rgb(223, 223, 223);
  " />
  <br />
  <div class="remark_other">
    <table>
      <thead>
        <tr>
          <th colspan="2" class="one_th">สายงานบริหารคุณภาพสินเชื่อและกระบวนการธุรกิจเครือข่ายรายย่อย</th>
        </tr>

        <tr>
          <th style="width: 30%;">ประเด็น</th>
          <th>แนวทางการจัดการ</th>
        </tr>
      </thead>

      <tbody>
        <tr *ngFor="let data of retailData.listRetailOperationDetailExtra; index as number">
          <td style="width: 30%;vertical-align: top;" [ngClass]="{
          td_single: number % 2 !== 0,
          td_couple: number % 2 === 0
        }">
            <!-- <input class="form-control" placeholder="ระบุประเด็น" [(ngModel)]="data.subject" /> -->
            <textarea appTextareaAutoresize autocomplete="off" class="form-control example"
              (ngModelChange)="changeSaveDraft()" placeholder="ระบุประเด็น" [(ngModel)]="data.subject"></textarea>
          </td>
          <td style="vertical-align: top;" [ngClass]="{
          td_single: number % 2 !== 0,
          td_couple: number % 2 === 0
        }">
            <!-- <input class="form-control" placeholder="ระบุแนวทางการจัดการ" [(ngModel)]="data.management" /> -->
            <textarea appTextareaAutoresize autocomplete="off" class="form-control example"
              placeholder="ระบุแนวทางการจัดการ" [(ngModel)]="data.management"
              (ngModelChange)="changeSaveDraft()"></textarea>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
  <br>
  <div class="btn_other">
    <button class="btn btn-primary" (click)="Add_commentOperation_2()">
      <img src="assets/img/plus_icon.svg" /> เพิ่มข้อมูล
    </button>
  </div>
  <!-- ====================== -->
  <br>
  <br>
  <!-- ====== -->
</div>
<!-- --------------------------------------------------------------------------------------------------------------------------------------------------------- -->
















<!-- ----------------------------------------------PO Role พนักงาน---------------------------------------------------------------------------- -->
<div *ngIf="rowBy == 'PO'">
  <br>
  <div class="col-12">
    <div class="d-flex bd-highlight">
      <div class="w-100 bd-highlight">
        <span class="head-detal">ข้อมูลจากหน่วยงานที่เสนอเรื่อง :</span>
        <span class="head-detal-2"> รายละเอียดกระบวนการทำงาน </span>
      </div>

      <div>
      </div>
    </div>
  </div>


  <div class="col-12">
    <hr style="margin-top: 10px; margin-bottom: 20px;">
  </div>
  <div class="readiness-process">
    <table class="readiness-table">
      <thead>
        <tr>
          <th class="sticky-header text-nowrap" style="vertical-align: inherit;" rowspan="2">
            กระบวนการหลัก
          </th>
          <th class="sticky-header-sub text-nowrap" style="vertical-align: inherit;" rowspan="2">
            กระบวนการย่อย
          </th>
          <th class="text-nowrap" style="width: 250px; vertical-align: inherit" rowspan="2">

          </th>
          <th class="text-nowrap" style="width: 250px; vertical-align: inherit;padding-left:20px" rowspan="2">
            In/Out
          </th>
          <th class="text-nowrap" rowspan="2">
            IT Related
          </th>
          <th class="text-nowrap" rowspan="2">
            ระบุความเสี่ยง
          </th>
          <th class="text-nowrap" rowspan="2">
            การควบคุมความเสี่ยง (เดิม)
          </th>
          <th class="text-nowrap" rowspan="2">
            การควบคุมความเสี่ยง (เพิ่มเติม)
          </th>
          <th class="text-nowrap" style="
          width: 750px;
          vertical-align: inherit;
          text-align: center;
          border-bottom: 1px solid rgb(190, 190, 190);
        " colspan="3">
            สายงานบริหารคุณภาพสินเชื่อและกระบวนการธุรกิจเครือข่ายรายย่อย
          </th>

          <th class="text-nowrap" style="
          width: 300px;
          vertical-align: inherit;
          text-align: center;
          border-bottom: 1px solid rgb(190, 190, 190);
        " colspan="1">
            หน่วยงานที่เสนอเรื่อง
          </th>

        </tr>
        <tr>
          <th class="text-nowrap">
          </th>
          <th class="text-nowrap" style="text-align: center;">
            ความเห็น
          </th>
          <th class="text-nowrap" style="text-align: center;">
            ประเด็น
          </th>
          <th class="text-nowrap" style="text-align: center;">
            แนวทางการจัดการ
          </th>
          <th class="text-nowrap" style="text-align: center;">
            ความเห็น
          </th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let item of POData.listRetailProcessConsiders; index as istep" [ngClass]="{
          row_single: istep % 2 !== 0,
          row_couple: istep % 2 === 0
        }">
          <!--  -->
          <td class="sticky-column" style="vertical-align: top;" [ngClass]="{
            row_single: istep % 2 !== 0,
            row_couple: istep % 2 === 0
          }">
        <tr [attr.rowspan]="item.subProcess.length + 1">
          {{item.mainProcess}}
          <!-- <textarea autosize class="form-control" [(ngModel)]="item.process"></textarea> -->
        </tr>
        </td>

        <td style="vertical-align: top;border-bottom:1.5px solid #dadada;" [attr.colspan]="11">

          <table class="flex-readiness-process-po" style="height: 100%;">
            <tr class="d-flex" *ngFor="let process of item.subProcess; let i = index"
              [ngStyle]="{'border-bottom' : i+1 === item.subProcess.length ? 'none' : '1.5px solid #dadada'}" [ngClass]="{
                row_single: istep % 2 !== 0,
                row_couple: istep % 2 === 0
              }">
              <!-- class="sticky-column-sub" -->
              <td class="sticky-column-sub" [attr.rowspan]="item.subProcess.length + 1" [ngClass]="{
                row_single: istep % 2 !== 0,
                row_couple: istep % 2 === 0
              }">
                {{process.subTitle}}</td>
              <td style="padding-left:20px">
                {{process.inOut}}
              </td>
              <td>
                {{process.itRelate}}</td>
              <ng-container *ngFor="let RiskItem of process.subProcessRisk;index as RiskIndex" [>
            <tr colspan="8"
              [ngStyle]="{'border-bottom' : RiskIndex +1 === process.subProcessRisk.length ? 'none' : '1.5px solid #dadada'}">
              <td class="riskTemplate">
                <!-- {{RiskItem.risk }} -->
                <div style="min-height: 48px;">
                  {{RiskItem.risk }}</div>
              </td>

              <td class="riskTemplate">
                <!-- {{RiskItem.riskControl }} -->
                <div style="min-height: 48px;;">
                  {{RiskItem.riskControl }}</div>
              </td>

              <td class="riskTemplate">
                <div style="min-height: 48px;">
                  {{RiskItem.riskControlOther }}</div>
              </td>

              <td class="riskTemplate">
                <div style=" text-align: center !important;
                      vertical-align: top !important;min-height: 48px;">
                  {{RiskItem.remark }}</div>

              </td>
              <td class="riskTemplate">
                <div style="text-align: left;min-height: 48px;">{{RiskItem.subject }}</div>

              </td>


              <td class="riskTemplate">
                <div style="text-align: left;min-height: 48px;">{{RiskItem.management }}</div>

              </td>

              <td class="riskTemplate">
                <div *ngIf="validate === false;" style="text-align: left;min-height: 48px;width:300px">
                  {{RiskItem.poComment }}</div>
                <textarea style="margin-top:5px" (ngModelChange)="changeSaveDraft()" placeholder="ระบุแนวทางการจัดการ"
                  *ngIf="validate===true;" appTextareaAutoresize autocomplete="off" class="form-control example"
                  [(ngModel)]="RiskItem.poComment"></textarea>
              </td>

            </tr>
            </ng-container>

            </tr>
          </table>
        </td>


        </tr>
      </tbody>
    </table>
  </div>
  <br />
  <br />
  <br />
  <!-- ====================== -->
  <div class="detail_other">
    <div class="header_other">
      <th>ความเห็นเพิ่มเติม</th>
    </div>
  </div>

  <hr style="
    height: 1px;
    background-color: rgb(223, 223, 223);
    border: 1px solid rgb(223, 223, 223);
  " />
  <br />
  <div class="remark_other">
    <table>
      <thead>
        <tr>
          <th colspan="2" class="one_th">สายงานบริหารคุณภาพสินเชื่อและกระบวนการธุรกิจเครือข่ายรายย่อย</th>
          <th class="one_th">หน่วยงานที่นำเสนอ</th>
        </tr>
        <tr>
          <th style="width: 30%;">ประเด็น</th>
          <th>แนวทางการจัดการ</th>
          <th>ความเห็น</th>
        </tr>
      </thead>

      <tbody>
        <tr *ngFor="let data of POData.listRetailProcessConsidersExtra; index as index">
          <td style="width: 30%;" [ngClass]="{
          td_single: index % 2 !== 0,
          td_couple: index % 2 === 0
        }">
            <!-- <input
            class="form-control"
            placeholder="ระบุประเด็น"
            [(ngModel)]="data.subject"
          /> -->
            {{data.subject}}
          </td>
          <td [ngClass]="{
          td_single: index % 2 !== 0,
          td_couple: index % 2 === 0
        }">
            <!-- <input
            class="form-control"
            placeholder="ระบุแนวทางการจัดการ"
            [(ngModel)]="data.manage"
          /> -->
            {{data.management}}
          </td>
          <td [ngClass]="{
          td_single: index % 2 !== 0,
          td_couple: index % 2 === 0
        }">
            <div *ngIf="validate === true">
              <!-- <input type="text" class="form-control" placeholder="ระบุความเห็น" [(ngModel)]="data.poComment" /> -->
              <textarea appTextareaAutoresize autocomplete="off" type="text" class="form-control example"
                placeholder="ระบุความเห็น" [(ngModel)]="data.poComment" (ngModelChange)="changeSaveDraft()"></textarea>
            </div>
            <div *ngIf="validate === false">
              {{data.poComment}}
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>

  <br>
  <br>
  <br>
  <!-- =============================================================================================== -->

  <!-- ====================== -->
  <div class="table_main">
    <div class="header_table">
      <div class="text_header">
        ข้อมูลจากหน่วยงานที่เสนอเรื่อง : &nbsp;ความพร้อมด้านการดำเนินการ
      </div>

      <div class="btn_header"></div>
    </div>
  </div>
  <hr class="new4" />
  <br />
  <div class="readiness">
    <table class="readiness-table">
      <thead>
        <tr>
          <th class="sticky-header text-nowrap" style="vertical-align: inherit;" rowspan="2">
            กระบวนการหลัก
          </th>
          <th class="sticky-header-sub text-nowrap" style="vertical-align: inherit;" rowspan="2">
            กระบวนการย่อย
          </th>
          <th class="text-nowrap" style="width: 250px; vertical-align: inherit" rowspan="2">
            แนวทางการจัดการ
          </th>
          <th class="text-nowrap" style="width: 250px; vertical-align: inherit;padding-left:20px" rowspan="2">
            แนวทางการจัดการ
          </th>
          <th class="text-nowrap" style="text-align: center" rowspan="2">
            ผู้รับผิดชอบ
          </th>
          <th class="text-nowrap" style="width: 250px; vertical-align: inherit;text-align: center" rowspan="2">
            กำหนดแล้วเสร็จ
          </th>
          <th class="text-nowrap" style="
          width: 650px;
          vertical-align: inherit;
          text-align: center;
          border-bottom: 1px solid rgb(190, 190, 190);
        " colspan="3">
            สายงานบริหารคุณภาพสินเชื่อและกระบวนการธุรกิจเครือข่ายรายย่อย
          </th>

          <th class="text-nowrap" style="
          width: 250px;
          vertical-align: inherit;
          text-align: center;
          border-bottom: 1px solid rgb(190, 190, 190);
        " colspan="1">
            หน่วยงานที่เสนอเรื่อง
          </th>

        </tr>

        <tr>
          <th class="text-nowrap">
          </th>
          <th class="text-nowrap" style="text-align: center;">
            ความเห็น
          </th>
          <th class="text-nowrap" style="text-align: center;">
            ประเด็น
          </th>
          <th class="text-nowrap" style="text-align: center;">
            แนวทางการจัดการ
          </th>

          <th class="text-nowrap" style="text-align: center;">
            ความเห็น
          </th>

        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let item of POData.listRetailOperationDetail; index as istep" [ngClass]="{
          row_single: istep % 2 !== 0,
          row_couple: istep % 2 === 0
        }">
          <!--  -->
          <td class="sticky-column" style="vertical-align: top;" [ngClass]="{
            row_single: istep % 2 !== 0,
            row_couple: istep % 2 === 0
          }">
        <tr [attr.rowspan]="item.commentOperation.length + 1">
          {{item.mainProcess}}
          <!-- <textarea autosize class="form-control" [(ngModel)]="item.process"></textarea> -->
        </tr>
        </td>

        <td style="vertical-align: top;border-bottom:1.5px solid #dadada;" [attr.colspan]="8">

          <table class="flex-readiness">
            <tr class="d-flex" *ngFor="let process of item.commentOperation; let i = index"
              style="height: 100%;padding:0 !important;" [ngClass]="{
                row_single: istep % 2 !== 0,
                row_couple: istep % 2 === 0
              }">
              <!-- class="sticky-column-sub" -->
              <td class="sticky-column-sub" [ngClass]="{
                row_single: istep % 2 !== 0,
                row_couple: istep % 2 === 0
              }" [ngStyle]="{'border-bottom' : i+1 === item.commentOperation.length ? 'none' : '1.5px solid #dadada'}">
                {{process.subProcess}}</td>
              <td style="padding-left:20px">
                {{process.management}}</td>
              <td style="text-align: center"
                [ngStyle]="{'border-bottom' : i+1 === item.commentOperation.length ? 'none' : '1.5px solid #dadada'}">
                {{process.responsible}}</td>

              <td style="text-align: center"
                [ngStyle]="{'border-bottom' : i+1 === item.commentOperation.length ? 'none' : '1.5px solid #dadada'}">
                {{covertDateToCorrect(process.dueDate)}}</td>

              <td style="
              display: flex;
              align-items: flex-start;
              justify-content: center;"
                [ngStyle]="{'border-bottom' : i+1 === item.commentOperation.length ? 'none' : '1.5px solid #dadada'}">
                <div style=" text-align: center !important;
              vertical-align: top !important;padding-top: 0px !important;">{{process.reviews }}
                </div>

              </td>

              <td style="display: flex;
              padding-bottom: 12px;padding-right:14px;"
                [ngStyle]="{'border-bottom' : i+1 === item.commentOperation.length ? 'none' : '1.5px solid #dadada'}">
                <div style=" align-items:flex-start;text-align: left;
                justify-content: top;vertical-align: top !important;text-align:left">
                  {{process.subject }}</div>

              </td>

              <td style="display: flex;
              padding-bottom: 12px;padding-right:14px;"
                [ngStyle]="{'border-bottom' : i+1 === item.commentOperation.length ? 'none' : '1.5px solid #dadada'}">
                <!-- {{process.commentManagement }} -->
                <div style=" align-items:flex-start;text-align: left;
                justify-content: top;vertical-align: top !important;text-align:left">
                  {{process.manage }}</div>

              </td>

              <td style="display: flex;
              padding-bottom: 12px;"
                [ngStyle]="{'border-bottom' : i+1 === item.commentOperation.length ? 'none' : '1.5px solid #dadada'}">
                <!-- {{process.commentManagement }} -->

                <textarea style="margin-top: 10px;" *ngIf="validate === true" placeholder="ระบุแนวทางการจัดการ"
                  appTextareaAutoresize autocomplete="off" class="form-control example" [(ngModel)]="process.poComment"
                  (ngModelChange)="changeSaveDraft()"></textarea>
                <div *ngIf="validate === false">{{process.poComment}}</div>
              </td>

            </tr>
          </table>
        </td>


        </tr>
      </tbody>
    </table>
  </div>
  <br>
  <br>
  <br>
  <!-- ====== -->

  <div class="detail_other">
    <div class="header_other">
      <th>ความเห็นเพิ่มเติม</th>
      <!-- ความเห็นเพิ่มเติม 2 -->
    </div>
  </div>

  <hr style="
    height: 1px;
    background-color: rgb(223, 223, 223);
    border: 1px solid rgb(223, 223, 223);
  " />

  <br>

  <div class="remark_other">
    <table>
      <thead>
        <tr>
          <th colspan="2" class="one_th">สายงานบริหารคุณภาพสินเชื่อและกระบวนการธุรกิจเครือข่ายรายย่อย</th>
          <th class="one_th">หน่วยงานที่นำเสนอ</th>
        </tr>
        <tr>
          <th style="width: 30%;">ประเด็น</th>
          <th>แนวทางการจัดการ</th>
          <th>ความเห็น</th>
        </tr>
      </thead>

      <tbody>
        <tr *ngFor="let data of POData.listRetailOperationDetailExtra;index as number2">
          <td style="width: 30%;" [ngClass]="{
            td_single: number2 % 2 !== 0,
            td_couple: number2 % 2 === 0
          }">
            <!-- <input
              class="form-control"
              placeholder="ระบุประเด็น"
              [(ngModel)]="data.subject"
            /> -->
            {{data.subject}}
          </td>

          <td [ngClass]="{
            td_single: number2 % 2 !== 0,
            td_couple: number2 % 2 === 0
          }">
            <!-- <input
              class="form-control"
              placeholder="ระบุแนวทางการจัดการ"
              [(ngModel)]="data.manage"
            /> -->
            {{data.management}}
          </td>

          <td [ngClass]="{
            td_single: number2 % 2 !== 0,
            td_couple: number2 % 2 === 0
          }">
            <div *ngIf="validate === true">
              <!-- <input type="text" class="form-control" placeholder="ระบุความเห็น" [(ngModel)]="data.poComment" /> -->
              <textarea appTextareaAutoresize autocomplete="off" type="text" class="form-control example"
                placeholder="ระบุความเห็น" [(ngModel)]="data.poComment" (ngModelChange)="changeSaveDraft()"></textarea>
            </div>
            <div *ngIf="validate === false">
              {{data.poComment}}
            </div>
          </td>

        </tr>
      </tbody>
    </table>
  </div>
</div>
<!-- --------------------------------------------------------------------------------------------------------------------------------------------------------- -->





<!-- ---------------------------------------------Role Retail ที่ validate ==false ---------------------------------------------------------------------------- -->
<div *ngIf="rowBy == 'Retail' && validate === false">
  <br>
  <div class="col-12">
    <div class="d-flex bd-highlight">
      <div class="w-100 bd-highlight">
        <span class="head-detal">ข้อมูลจากหน่วยงานที่เสนอเรื่อง :</span>
        <span class="head-detal-2"> รายละเอียดกระบวนการทำงาน </span>
      </div>

      <div>
      </div>
    </div>
  </div>


  <div class="col-12">
    <hr style="margin-top: 10px; margin-bottom: 20px;">
  </div>


  <div class="readiness-process">
    <table class="readiness-table">
      <thead>
        <tr>
          <th class="sticky-header text-nowrap" style="vertical-align: inherit;" rowspan="2">
            กระบวนการหลัก
          </th>
          <th class="sticky-header-sub text-nowrap" style="vertical-align: inherit;" rowspan="2">
            กระบวนการย่อย
          </th>
          <th class="text-nowrap" style="width: 250px; vertical-align: inherit" rowspan="2">

          </th>
          <th class="text-nowrap" style="width: 250px; vertical-align: inherit;padding-left:20px" rowspan="2">
            In/Out
          </th>
          <th class="text-nowrap" rowspan="2">
            IT Related
          </th>
          <th class="text-nowrap" rowspan="2">
            ระบุความเสี่ยง
          </th>
          <th class="text-nowrap" rowspan="2">
            การควบคุมความเสี่ยง (เดิม)
          </th>
          <th class="text-nowrap" rowspan="2">
            การควบคุมความเสี่ยง (เพิ่มเติม)
          </th>
          <th class="text-nowrap" style="
          width: 750px;
          vertical-align: inherit;
          text-align: center;
          border-bottom: 1px solid rgb(190, 190, 190);
        " colspan="3">
            สายงานบริหารคุณภาพสินเชื่อและกระบวนการธุรกิจเครือข่ายรายย่อย
          </th>
        </tr>
        <tr>
          <th class="text-nowrap">
          </th>
          <th class="text-nowrap" style="text-align: center;">
            ความเห็น
          </th>
          <th class="text-nowrap" style="text-align: center;">
            ประเด็น
          </th>
          <th class="text-nowrap" style="text-align: center;">
            แนวทางการจัดการ
          </th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let item of retailData.listRetailProcessConsiders; index as istep" [ngClass]="{
          row_single: istep % 2 !== 0,
          row_couple: istep % 2 === 0
        }">
          <!--  -->
          <td class="sticky-column" style="vertical-align: top;" [ngClass]="{
            row_single: istep % 2 !== 0,
            row_couple: istep % 2 === 0
          }">
        <tr [attr.rowspan]="item.subProcess.length + 1">
          {{item.mainProcess}}
          <!-- <textarea autosize class="form-control" [(ngModel)]="item.process"></textarea> -->
        </tr>
        </td>

        <td style="vertical-align: top;border-bottom:1.5px solid #dadada" [attr.colspan]="10">

          <table class="flex-readiness-process" style="height: 100%;">
            <tr class="d-flex" *ngFor="let process of item.subProcess; let i = index" [ngClass]="{
              row_single: istep % 2 !== 0,
              row_couple: istep % 2 === 0}">
              <!-- class="sticky-column-sub" -->
              <td class="sticky-column-sub" [attr.rowspan]="item.subProcess.length + 1" [ngClass]="{
                row_single: istep % 2 !== 0,
                row_couple: istep % 2 === 0
              }" [ngStyle]="{'border-bottom' : i+1 === item.subProcess.length ? 'none' : '1.5px solid #dadada'}">
                {{process.subTitle}}</td>
              <td style="padding-left:20px" [attr.rowspan]="item.subProcess.length + 1"
                [ngStyle]="{'border-bottom' : i+1 === item.subProcess.length ? 'none' : '1.5px solid #dadada'}">
                {{process.inOut}}
              </td>
              <td [ngStyle]="{'border-bottom' : i+1 === item.subProcess.length ? 'none' : '1.5px solid #dadada'}">
                {{process.itRelate}}</td>
              <ng-container *ngFor="let RiskItem of process.subProcessRisk;index as RiskIndex">
            <tr colspan="8"
              [ngStyle]="{'border-bottom' : i+1 === item.subProcess.length ? 'none' : '1.5px solid #dadada'}">
              <td class="riskTemplate"
                [ngStyle]="{'border-bottom' : RiskIndex+1 === process.subProcessRisk.length ? 'none' : '1.5px solid #dadada'}">
                <!-- {{RiskItem.risk }} -->
                <div style="min-height: 48px;">
                  {{RiskItem.risk }}</div>
              </td>

              <td class="riskTemplate"
                [ngStyle]="{'border-bottom' : RiskIndex+1 === process.subProcessRisk.length ? 'none' : '1.5px solid #dadada'}">
                <!-- {{RiskItem.riskControl }} -->
                <div style="min-height: 48px;;">
                  {{RiskItem.riskControl }}</div>
              </td>

              <td class="riskTemplate"
                [ngStyle]="{'border-bottom' : RiskIndex+1 === process.subProcessRisk.length ? 'none' : '1.5px solid #dadada'}">
                <div style="min-height: 48px;">
                  {{RiskItem.riskControlOther }}</div>
              </td>

              <td class="riskTemplate"
                [ngStyle]="{'border-bottom' : RiskIndex+1 === process.subProcessRisk.length ? 'none' : '1.5px solid #dadada'}">
                <div style=" text-align: center !important;
                      vertical-align: top !important;padding-top: 0px !important;min-height: 48px;">
                  {{RiskItem.remark }}</div>

              </td>
              <td class="riskTemplate"
                [ngStyle]="{'border-bottom' : RiskIndex+1 === process.subProcessRisk.length ? 'none' : '1.5px solid #dadada'}">
                <div style="text-align: left;min-height: 48px;">{{RiskItem.subject }}</div>

              </td>


              <td class="riskTemplate"
                [ngStyle]="{'border-bottom' : RiskIndex+1 === process.subProcessRisk.length ? 'none' : '1.5px solid #dadada'}">
                <div style="text-align: left;min-height: 48px;">{{RiskItem.management }}</div>

              </td>
            </tr>
            </ng-container>

            </tr>
          </table>
        </td>


        </tr>
      </tbody>
    </table>
  </div>


  <br />
  <br />
  <br />
  <!-- ====================== -->
  <div class="detail_other">
    <div class="header_other">
      <th>ความเห็นเพิ่มเติม</th>
    </div>
  </div>

  <hr style="
    height: 1px;
    background-color: rgb(223, 223, 223);
    border: 1px solid rgb(223, 223, 223);
  " />
  <br />
  <div class="remark_other">
    <table>
      <thead>
        <tr>
          <th colspan="2" class="one_th">สายงานบริหารคุณภาพสินเชื่อและกระบวนการธุรกิจเครือข่ายรายย่อย</th>

        </tr>
        <tr>
          <th style="width: 30%;">ประเด็น</th>
          <th>แนวทางการจัดการ</th>

        </tr>
      </thead>

      <tbody>
        <tr *ngFor="let data of retailData.listRetailProcessConsidersExtra; index as index">
          <td style="width: 30%;" [ngClass]="{
          td_single: index % 2 !== 0,
          td_couple: index % 2 === 0
        }">
            <!-- <input
            class="form-control"
            placeholder="ระบุประเด็น"
            [(ngModel)]="data.subject"
          /> -->
            {{data.subject}}
          </td>
          <td [ngClass]="{
          td_single: index % 2 !== 0,
          td_couple: index % 2 === 0
        }">
            <!-- <input
            class="form-control"
            placeholder="ระบุแนวทางการจัดการ"
            [(ngModel)]="data.manage"
          /> -->
            {{data.management}}
          </td>

        </tr>
      </tbody>
    </table>
  </div>

  <br>
  <!-- =============================================================================================== -->

  <!-- ====================== -->
  <div class="table_main">
    <div class="header_table">
      <div class="text_header">
        ข้อมูลจากหน่วยงานที่เสนอเรื่อง : &nbsp;ความพร้อมด้านการดำเนินการ
      </div>

      <div class="btn_header"></div>
    </div>
  </div>
  <hr class="new4" />
  <br />
  <div class="readiness">
    <table class="readiness-table">
      <thead>
        <tr>
          <th class="sticky-header text-nowrap" style="vertical-align: inherit;" rowspan="2">
            กระบวนการหลัก
          </th>
          <th class="sticky-header-sub text-nowrap" style="vertical-align: inherit;" rowspan="2">
            กระบวนการย่อย
          </th>
          <th class="text-nowrap" style="width: 250px; vertical-align: inherit" rowspan="2">
            แนวทางการจัดการ
          </th>
          <th class="text-nowrap" style="width: 250px; vertical-align: inherit;padding-left:20px" rowspan="2">
            แนวทางการจัดการ
          </th>
          <th class="text-nowrap" style="text-align: center" rowspan="2">
            ผู้รับผิดชอบ
          </th>
          <th class="text-nowrap" style="width: 250px; vertical-align: inherit;text-align: center" rowspan="2">
            กำหนดแล้วเสร็จ
          </th>
          <th class="text-nowrap" style="
          width: 650px;
          vertical-align: inherit;
          text-align: center;
          border-bottom: 1px solid rgb(190, 190, 190);
        " colspan="3">
            สายงานบริหารคุณภาพสินเชื่อและกระบวนการธุรกิจเครือข่ายรายย่อย
          </th>
        </tr>
        <tr>
          <th class="text-nowrap">
          </th>
          <th class="text-nowrap" style="text-align: center;">
            ความเห็น
          </th>
          <th class="text-nowrap" style="text-align: center;">
            ประเด็น
          </th>
          <th class="text-nowrap" style="text-align: center;">
            แนวทางการจัดการ
          </th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let item of retailData.listRetailOperationDetail; index as istep" [ngClass]="{
          row_single: istep % 2 !== 0,
          row_couple: istep % 2 === 0
        }">
          <!--  -->
          <td class="sticky-column" style="vertical-align: top;" [ngClass]="{
            row_single: istep % 2 !== 0,
            row_couple: istep % 2 === 0
          }">
        <tr [attr.rowspan]="item.commentOperation.length + 1">
          {{item.mainProcess}}
          <!-- <textarea autosize class="form-control" [(ngModel)]="item.process"></textarea> -->
        </tr>
        </td>

        <td style="vertical-align: top;border-bottom:1.5px solid #dadada" [attr.colspan]="7">

          <table class="flex-readiness">
            <tr class="d-flex" *ngFor="let process of item.commentOperation; let i = index" [ngClass]="{
              row_single: istep % 2 !== 0,
              row_couple: istep % 2 === 0}" style="height: 100%;padding:0 !important;">
              <!-- class="sticky-column-sub" -->
              <td class="sticky-column-sub" [ngClass]="{
                row_single: istep % 2 !== 0,
                row_couple: istep % 2 === 0
              }" [ngStyle]="{'border-bottom' : i+1 === item.commentOperation.length ? 'none' : '1.5px solid #dadada'}">
                {{process.subProcess}}</td>
              <td style="padding-left:20px"
                [ngStyle]="{'border-bottom' : i+1 === item.commentOperation.length ? 'none' : '1.5px solid #dadada'}">
                {{process.management}}</td>
              <td style="text-align: center"
                [ngStyle]="{'border-bottom' : i+1 === item.commentOperation.length ? 'none' : '1.5px solid #dadada'}">
                {{process.responsible}}</td>

              <td style="text-align: center"
                [ngStyle]="{'border-bottom' : i+1 === item.commentOperation.length ? 'none' : '1.5px solid #dadada'}">
                {{covertDateToCorrect(process.dueDate)}}</td>

              <td style="
              display: flex;
              align-items: flex-start;
              justify-content: center;"
                [ngStyle]="{'border-bottom' : i+1 === item.commentOperation.length ? 'none' : '1.5px solid #dadada'}">
                <div *ngIf="validate === false;" style=" text-align: center !important;
              vertical-align: top !important;padding-top: 0px !important;">{{process.reviews }}
                </div>
                <select *ngIf="validate === true;" class="form-control" style="width: 180px;margin-top: 10px;"
                  [(ngModel)]="process.reviews" (ngModelChange)="changeSaveDraft()">
                  <option *ngIf="process.reviews === null" value=null selected disabled>
                    ระบุความเห็น
                  </option>
                  <option value="ยอมรับได้">ยอมรับได้</option>
                  <option value="ไม่เห็นด้วย">ไม่เห็นด้วย</option>
                  <option value="ไม่เกี่ยวข้อง">ไม่เกี่ยวข้อง</option>
                  <option *ngIf="process.reviews !== null" [ngValue]=null>==ไม่ระบุความเห็น==</option>
                  <!-- <option value=null>ไม่ระบุข้อมูล</option> -->
                </select>
              </td>

              <td style="display: flex;
              padding-bottom: 12px;padding-right:14px;"
                [ngStyle]="{'border-bottom' : i+1 === item.commentOperation.length ? 'none' : '1.5px solid #dadada'}">
                <div *ngIf="validate === false;" style=" align-items:flex-start;text-align: left;
                justify-content: top;vertical-align: top !important;text-align:left">
                  {{process.subject }}</div>
                <textarea style="margin-top: 10px;" (ngModelChange)="changeSaveDraft()" placeholder="ระบุประเด็น"
                  *ngIf="validate === true;" appTextareaAutoresize autocomplete="off" class="form-control example"
                  [(ngModel)]="process.subject"></textarea>
              </td>

              <td style="display: flex;
              padding-bottom: 12px;padding-right:14px;"
                [ngStyle]="{'border-bottom' : i+1 === item.commentOperation.length ? 'none' : '1.5px solid #dadada'}">
                <!-- {{process.commentManagement }} -->
                <div *ngIf="validate === false;" style=" align-items:flex-start;text-align: left;
                justify-content: top;vertical-align: top !important;text-align:left">
                  {{process.manage }}</div>
                <textarea style="margin-top: 10px;" (ngModelChange)="changeSaveDraft()"
                  placeholder="ระบุแนวทางการจัดการ" *ngIf=" validate===true;" appTextareaAutoresize autocomplete="off"
                  class="form-control example" [(ngModel)]="process.manage"></textarea>
              </td>

            </tr>
          </table>
        </td>


        </tr>
      </tbody>
    </table>
  </div>
  <br>
  <br>
  <!-- ====== -->

  <div class="detail_other">
    <div class="header_other">
      <th>ความเห็นเพิ่มเติม</th>
      <!-- ความเห็นเพิ่มเติม 2 -->
    </div>
  </div>

  <hr style="
    height: 1px;
    background-color: rgb(223, 223, 223);
    border: 1px solid rgb(223, 223, 223);
  " />

  <br>

  <div class="remark_other">
    <table>
      <thead>
        <tr>
          <th colspan="2" class="one_th">สายงานบริหารคุณภาพสินเชื่อและกระบวนการธุรกิจเครือข่ายรายย่อย</th>

        </tr>
        <tr>
          <th style="width: 30%;">ประเด็น</th>
          <th>แนวทางการจัดการ</th>

        </tr>
      </thead>

      <tbody>
        <tr *ngFor="let data of retailData.listRetailOperationDetailExtra;index as number2">
          <td style="width: 30%;" [ngClass]="{
            td_single: number2 % 2 !== 0,
            td_couple: number2 % 2 === 0
          }">
            <!-- <input
              class="form-control"
              placeholder="ระบุประเด็น"
              [(ngModel)]="data.subject"
            /> -->
            {{data.subject}}
          </td>

          <td [ngClass]="{
            td_single: number2 % 2 !== 0,
            td_couple: number2 % 2 === 0
          }">
            <!-- <input
              class="form-control"
              placeholder="ระบุแนวทางการจัดการ"
              [(ngModel)]="data.manage"
            /> -->
            {{data.management}}
          </td>



        </tr>
      </tbody>
    </table>
  </div>
</div>
<!-- --------------------------------------------------------------------------------------------------------------------------------------------------------- -->













<!-- ---------------------------------------------Role PC---------------------------------------------------------------------------- -->
<div *ngIf="rowBy == 'PC'">
  <br>
  <div class="col-12">
    <div class="d-flex bd-highlight">
      <div class="w-100 bd-highlight">
        <span class="head-detal">ข้อมูลจากหน่วยงานที่เสนอเรื่อง :</span>
        <span class="head-detal-2"> รายละเอียดกระบวนการทำงาน </span>
      </div>

      <div>
      </div>
    </div>
  </div>


  <div class="col-12">
    <hr style="margin-top: 10px; margin-bottom: 20px;">
  </div>


  <div class="readiness-process">
    <table class="readiness-table">
      <thead>
        <tr>
          <th class="sticky-header text-nowrap" style="vertical-align: inherit;" rowspan="2">
            กระบวนการหลัก
          </th>
          <th class="sticky-header-sub text-nowrap" style="vertical-align: inherit;" rowspan="2">
            กระบวนการย่อย
          </th>
          <th class="text-nowrap" style="width: 250px; vertical-align: inherit" rowspan="2">
            In/Out
          </th>
          <th class="text-nowrap" style="width: 250px; vertical-align: inherit;padding-left:20px" rowspan="2">
            In/Out
          </th>
          <th class="text-nowrap" rowspan="2">
            IT Related
          </th>
          <th class="text-nowrap" rowspan="2">
            ระบุความเสี่ยง
          </th>
          <th class="text-nowrap" rowspan="2">
            การควบคุมความเสี่ยง (เดิม)
          </th>
          <th class="text-nowrap" style="width: 250px; vertical-align: inherit" rowspan="2">
            การควบคุมความเสี่ยง (เพิ่มเติม)
          </th>
          <th class="text-nowrap" style="
          width: 650px;
          vertical-align: inherit;
          text-align: center;
          border-bottom: 1px solid rgb(190, 190, 190);
        " colspan="3">
            สายงานบริหารคุณภาพสินเชื่อและกระบวนการธุรกิจเครือข่ายรายย่อย
          </th>

          <th class="text-nowrap" style="
          width:260px;
          vertical-align: inherit;
          text-align: center;
          border-bottom: 1px solid rgb(190, 190, 190);
        " colspan="1">
            หน่วยงานที่เสนอเรื่อง
          </th>

          <th class="text-nowrap" style="
          width: 650px;
          vertical-align: inherit;
          text-align: center;
          border-bottom: 1px solid rgb(190, 190, 190);
        " colspan="3">
            คณะกรรมการผลิตภัณฑ์
          </th>
        </tr>
        <tr>
          <th class="text-nowrap">
          </th>
          <th class="text-nowrap" style="text-align: center;">
            ความเห็น
          </th>
          <th class="text-nowrap" style="text-align: center;">
            ประเด็น
          </th>
          <th class="text-nowrap" style="text-align: center;">
            แนวทางการจัดการ
          </th>
          <th class="text-nowrap" style="text-align: center;">
            ความเห็น
          </th>

          <th class="text-nowrap" style="text-align: center;">
            ความเห็น
          </th>
          <th class="text-nowrap" style="text-align: center;">
            ความเห็นเพิ่มเติม
          </th>
          <th class="text-nowrap" style="text-align: center;">
            ระบุประเด็นคงค้าง
          </th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let item of POData.listRetailProcessConsiders; index as istep" [ngClass]="{
          row_single: istep % 2 !== 0,
          row_couple: istep % 2 === 0
        }">
          <!--  -->
          <td class="sticky-column" style="vertical-align: top;" [ngClass]="{
            row_single: istep % 2 !== 0,
            row_couple: istep % 2 === 0
          }">
        <tr [attr.rowspan]="item.subProcess.length + 1">
          {{item.mainProcess}}
          <!-- <textarea autosize class="form-control" [(ngModel)]="item.process"></textarea> -->
        </tr>
        </td>

        <td style="vertical-align: top;border-bottom:1.5px solid #dadada" [attr.colspan]="14">

          <table class="flex-readiness-process-pc" style="height: 100%;">
            <tr class="d-flex" *ngFor="let process of item.subProcess; let i = index"
              [ngStyle]="{'border-bottom' : i+1 === item.subProcess.length ? 'none' : '1.5px solid #dadada'}">
              <!-- class="sticky-column-sub" -->
              <td class="sticky-column-sub" [attr.rowspan]="item.subProcess.length + 1" [ngClass]="{
                row_single: istep % 2 !== 0,
                row_couple: istep % 2 === 0
              }">
                {{process.subTitle}}</td>
              <td style="padding-left:20px" [attr.rowspan]="item.subProcess.length + 1">
                {{process.inOut}}
              </td>
              <td>
                {{process.itRelate}}</td>
              <ng-container *ngFor="let RiskItem of process.subProcessRisk;index as RiskIndex">
            <tr colspan="8"
              [ngStyle]="{'border-bottom' : RiskIndex+1 === process.subProcessRisk.length ? 'none' : '1.5px solid #dadada'}">
              <td class="riskTemplate-pc">
                <!-- {{RiskItem.risk }} -->
                <div style="min-height: 48px;">
                  {{RiskItem.risk }}</div>
              </td>

              <td class="riskTemplate-pc">
                <!-- {{RiskItem.riskControl }} -->
                <div style="min-height: 48px;;">
                  {{RiskItem.riskControl }}</div>
              </td>

              <td class="riskTemplate-pc">
                <div style="min-height: 48px;">
                  {{RiskItem.riskControlOther }}</div>
              </td>

              <td class="riskTemplate-pc">
                <div style=" text-align: center !important;
                      vertical-align: top !important;padding-top: 0px !important;min-height: 48px;">
                  {{RiskItem.remark }}</div>

              </td>
              <td class="riskTemplate-pc">
                <div style="text-align: left;min-height: 48px;">{{RiskItem.subject }}</div>

              </td>


              <td class="riskTemplate-pc">
                <div style="text-align: left;min-height: 48px;">{{RiskItem.management }}</div>

              </td>

              <td class="riskTemplate-pc">
                <div style="text-align: left;min-height: 48px;">
                  {{RiskItem.poComment }}</div>

              </td>

              <td class="riskTemplate-pc">
                <div *ngIf="validate === false;" style="text-align: center;min-height: 48px;">
                  {{RiskItem.pcComment }}</div>
                <select *ngIf="validate === true;" (ngModelChange)="changeSaveDraft()" class="form-control" style="margin-top: 7px;margin-left:40px;
                width: 180px;" [(ngModel)]="RiskItem.pcComment">
                  <option *ngIf="RiskItem.pcComment === null" value=null selected disabled>
                    ระบุความเห็น
                  </option>
                  <option value="ยอมรับได้">ยอมรับได้</option>
                  <option value="ไม่เห็นด้วย">ไม่เห็นด้วย</option>
                  <option value="ไม่เกี่ยวข้อง">ไม่เกี่ยวข้อง</option>
                  <option *ngIf="RiskItem.pcComment !== null" [ngValue]=null>==ไม่ระบุความเห็น==</option>
                  <!-- <option value=null>ไม่ระบุข้อมูล</option> -->
                </select>
              </td>


              <td class="riskTemplate-pc" style="padding-top:7px">
                <div *ngIf="validate === false;" style="text-align: left;min-height: 48px;">
                  {{RiskItem.pcExtraComment }}</div>
                <textarea placeholder="ระบุแนวทางการจัดการ" (ngModelChange)="changeSaveDraft()"
                  *ngIf=" validate===true;" appTextareaAutoresize autocomplete="off" class="form-control example"
                  [(ngModel)]="RiskItem.pcExtraComment"></textarea>
              </td>

              <td class="riskTemplate-pc">
                <div *ngIf="validate === false;" style="text-align: center;min-height: 48px;">
                  {{RiskItem.pcIssue }}</div>
                <select *ngIf="validate === true;" class="form-control" style="margin-top: 7px;
                width: 90%;" [(ngModel)]="RiskItem.pcIssue" (ngModelChange)="changeSaveDraft()">
                  <option *ngIf="RiskItem.pcIssue === null" value=null disabled>ระบุประเด็นคงค้าง</option>
                  <option value="No">No</option>
                  <option value="Pending_1">Pending 1</option>
                  <option value="Pending_2">Pending 2</option>
                  <option value="Pending_3">Pending 3</option>
                  <option value="Pending_4">Pending 4</option>
                  <option *ngIf="RiskItem.pcIssue !== null" [ngValue]=null>==ไม่ระบุประเด็นคงค้าง==
                  </option>
                </select>
              </td>

            </tr>
            </ng-container>

            </tr>
          </table>
        </td>

        </tr>
      </tbody>
    </table>
  </div>
  <br />
  <div class="row text-note">
    <div class="col-12">
      <span>หมายเหตุ</span>
    </div>
    <div class="col-12" *ngFor="let item of note; index as i">
      <span>{{ i + 1 }}. &nbsp;{{ item }}</span>
    </div>
  </div>

  <br />
  <br />
  <br />
  <!-- ====================== -->
  <div class="detail_other">
    <div class="header_other">
      <th>ความเห็นเพิ่มเติม</th>
    </div>
  </div>

  <hr style="
    height: 1px;
    background-color: rgb(223, 223, 223);
    border: 1px solid rgb(223, 223, 223);
  " />
  <br />
  <div class="remark_other">
    <table>
      <thead>
        <tr>
          <th colspan="2" class="one_th">สายงานบริหารคุณภาพสินเชื่อและกระบวนการธุรกิจเครือข่ายรายย่อย</th>
          <th class="one_th">หน่วยงานที่นำเสนอ</th>
          <th colspan="3" class="one_th">
            คณะกรรมการผลิตภัณฑ์
          </th>
        </tr>
        <tr>
          <th style="width: 30%;">ประเด็น</th>
          <th>แนวทางการจัดการ</th>
          <th>ความเห็น</th>
          <th>
            ความเห็น
          </th>
          <th>
            ความเห็นเพิ่มเติม
          </th>
          <th>
            ระบุประเด็นคงค้าง
          </th>
        </tr>
      </thead>

      <tbody>
        <tr *ngFor="let data of POData.listRetailProcessConsidersExtra; index as index">
          <td style="width: 30%; vertical-align: top;" [ngClass]="{
          td_single: index % 2 !== 0,
          td_couple: index % 2 === 0
        }">
            <!-- <input
        class="form-control"
        placeholder="ระบุประเด็น"
        [(ngModel)]="data.subject"
      /> -->
            {{ data.subject }}
          </td>
          <td style="vertical-align: top;" [ngClass]="{
          td_single: index % 2 !== 0,
          td_couple: index % 2 === 0
        }">
            <!-- <input
        class="form-control"
        placeholder="ระบุแนวทางการจัดการ"
        [(ngModel)]="data.manage"
      /> -->
            {{ data.management }}
          </td>
          <td [ngClass]="{
        td_single: index % 2 !== 0,
        td_couple: index % 2 === 0
      }">

            {{ data.poComment }}
          </td>

          <td style="text-align: center;vertical-align: top;" [ngClass]="{
        td_single: index % 2 !== 0,
        td_couple: index % 2 === 0
      }">
            <div *ngIf="validate == false">{{data.pcComment}}</div>
            <select *ngIf="validate == true" (ngModelChange)="changeSaveDraft()" class="form-control"
              [(ngModel)]="data.pcComment">
              <option *ngIf="data.pcComment === null" value=null selected disabled>ระบุความเห็น</option>
              <option value="ยอมรับได้">ยอมรับได้</option>
              <option value="ไม่เกี่ยวข้อง">ไม่เกี่ยวข้อง</option>
              <option value="ไม่เห็นด้วย">ไม่เห็นด้วย</option>
              <option *ngIf="data.pcComment !== null" [ngValue]=null>==ไม่ระบุความเห็น==</option>
              <!-- <option value=null>ไม่ระบุข้อมูล</option> -->
            </select>
          </td>

          <td style="vertical-align: top;" [ngClass]="{
        td_single: index % 2 !== 0,
        td_couple: index % 2 === 0
      }">
            <div *ngIf="validate == false">{{data.pcExtraComment}}</div>
            <textarea *ngIf="validate == true" (ngModelChange)="changeSaveDraft()" appTextareaAutoresize
              autocomplete="off" class="form-control example" placeholder="ระบุแนวความเห็น"
              [(ngModel)]="data.pcExtraComment"></textarea>
            <!-- {{ data.poComment }} -->
          </td>

          <td style="text-align: center;vertical-align: top;" [ngClass]="{
        td_single: index % 2 !== 0,
        td_couple: index % 2 === 0
      }">
            <div *ngIf="validate == false">{{data.pcIssue}}</div>
            <select *ngIf="validate == true" class="form-control" [(ngModel)]="data.pcIssue"
              (ngModelChange)="changeSaveDraft()">
              <option *ngIf="data.pcIssue === null" value=null disabled>ระบุประเด็นคงค้าง</option>
              <option value="No">No</option>
              <option value="Pending_1">Pending 1</option>
              <option value="Pending_2">Pending 2</option>
              <option value="Pending_3">Pending 3</option>
              <option value="Pending_4">Pending 4</option>
              <option *ngIf="data.pcIssue !== null" [ngValue]=null>==ไม่ระบุประเด็นคงค้าง==
              </option>
            </select>
            <!-- {{ data.poComment }} -->
          </td>
        </tr>
      </tbody>
    </table>
  </div>
  <br />
  <div class="row text-note">
    <div class="col-12">
      <span>หมายเหตุ</span>
    </div>
    <div class="col-12" *ngFor="let item of note; index as i">
      <span>{{ i + 1 }}. &nbsp;{{ item }}</span>
    </div>
  </div>
  <br />
  <br />
  <br>
  <!-- =============================================================================================== -->

  <!-- ====================== -->
  <div class="table_main">
    <div class="header_table">
      <div class="text_header">
        ข้อมูลจากหน่วยงานที่เสนอเรื่อง : &nbsp;ความพร้อมด้านการดำเนินการ
      </div>

      <div class="btn_header"></div>
    </div>
  </div>
  <hr class="new4" />
  <br />
  <div class="readiness">
    <table class="readiness-table">
      <thead>
        <tr>
          <th class="sticky-header text-nowrap" style="vertical-align: inherit;" rowspan="2">
            กระบวนการหลัก
          </th>
          <th class="sticky-header-sub text-nowrap" style="vertical-align: inherit;" rowspan="2">
            กระบวนการย่อย
          </th>
          <th class="text-nowrap" style="width: 250px; vertical-align: inherit" rowspan="2">
            แนวทางการจัดการ
          </th>
          <th class="text-nowrap" style="width: 250px; vertical-align: inherit;padding-left:20px" rowspan="2">
            แนวทางการจัดการ
          </th>
          <th class="text-nowrap" style="text-align: center" rowspan="2">
            ผู้รับผิดชอบ
          </th>
          <th class="text-nowrap" style="width: 250px; vertical-align: inherit;text-align: center" rowspan="2">
            กำหนดแล้วเสร็จ
          </th>
          <th class="text-nowrap" style="
          width: 650px;
          vertical-align: inherit;
          text-align: center;
          border-bottom: 1px solid rgb(190, 190, 190);
        " colspan="3">
            สายงานบริหารคุณภาพสินเชื่อและกระบวนการธุรกิจเครือข่ายรายย่อย
          </th>

          <th class="text-nowrap" style="
          width: 260px;
          vertical-align: inherit;
          text-align: center;
          border-bottom: 1px solid rgb(190, 190, 190);
        " colspan="1">
            หน่วยงานที่เสนอเรื่อง
          </th>

          <th class="text-nowrap" style="
          width: 650px;
          vertical-align: inherit;
          text-align: center;
          border-bottom: 1px solid rgb(190, 190, 190);
        " colspan="3">
            คณะกรรมการผลิตภัณฑ์
          </th>

        </tr>
        <tr>
          <th class="text-nowrap">
          </th>
          <th class="text-nowrap" style="text-align: center;">
            ความเห็น
          </th>
          <th class="text-nowrap" style="text-align: center;">
            ประเด็น
          </th>
          <th class="text-nowrap" style="text-align: center;">
            แนวทางการจัดการ
          </th>

          <th class="text-nowrap" style="text-align: center;">
            ความเห็น
          </th>

          <th class="text-nowrap" style="text-align: center;">
            ความเห็น
          </th>
          <th class="text-nowrap" style="text-align: center;">
            ความเห็นเพิ่มเติม
          </th>
          <th class="text-nowrap" style="text-align: center;">
            ระบุประเด็นคงค้าง
          </th>

        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let item of POData.listRetailOperationDetail; index as istep" [ngClass]="{
          row_single: istep % 2 !== 0,
          row_couple: istep % 2 === 0
        }">
          <!--  -->
          <td class="sticky-column" style="vertical-align: top;" [ngClass]="{
            row_single: istep % 2 !== 0,
            row_couple: istep % 2 === 0
          }">
        <tr [attr.rowspan]="item.commentOperation.length + 1">
          {{item.mainProcess}}
          <!-- <textarea autosize class="form-control" [(ngModel)]="item.process"></textarea> -->
        </tr>
        </td>

        <td style="vertical-align: top;border-bottom:1.5px solid #dadada" [attr.colspan]="12">

          <table class="flex-readiness">
            <tr class="d-flex" *ngFor="let process of item.commentOperation; let i = index"
              style="height: 100%;padding:0 !important;">
              <!-- class="sticky-column-sub" -->
              <td class="sticky-column-sub" [ngClass]="{
                row_single: istep % 2 !== 0,
                row_couple: istep % 2 === 0
              }" [ngStyle]="{'border-bottom' : i+1 === item.commentOperation.length ? 'none' : '1.5px solid #dadada'}">
                {{process.subProcess}}</td>
              <td style="padding-left:20px"
                [ngStyle]="{'border-bottom' : i+1 === item.commentOperation.length ? 'none' : '1.5px solid #dadada'}">
                {{process.management}}</td>
              <td style="text-align: center"
                [ngStyle]="{'border-bottom' : i+1 === item.commentOperation.length ? 'none' : '1.5px solid #dadada'}">
                {{process.responsible}}</td>

              <td style="text-align: center"
                [ngStyle]="{'border-bottom' : i+1 === item.commentOperation.length ? 'none' : '1.5px solid #dadada'}">
                {{covertDateToCorrect(process.dueDate)}}</td>

              <td style="
              display: flex;
              align-items: flex-start;
              justify-content: center;"
                [ngStyle]="{'border-bottom' : i+1 === item.commentOperation.length ? 'none' : '1.5px solid #dadada'}">
                <div style=" text-align: center !important;
              vertical-align: top !important;padding-top: 0px !important;">{{process.reviews }}
                </div>

              </td>

              <td style="display: flex;
              padding-bottom: 12px;padding-right:14px;"
                [ngStyle]="{'border-bottom' : i+1 === item.commentOperation.length ? 'none' : '1.5px solid #dadada'}">
                <div style=" align-items:flex-start;text-align: left;
                justify-content: top;vertical-align: top !important;text-align:left">
                  {{process.subject }}</div>

              </td>

              <td style="display: flex;
              padding-bottom: 12px;padding-right:14px;"
                [ngStyle]="{'border-bottom' : i+1 === item.commentOperation.length ? 'none' : '1.5px solid #dadada'}">
                <!-- {{process.commentManagement }} -->
                <div style=" align-items:flex-start;text-align: left;
                justify-content: top;vertical-align: top !important;text-align:left">
                  {{process.manage }}</div>

              </td>

              <td style="display: flex;
              padding-bottom: 12px;"
                [ngStyle]="{'border-bottom' : i+1 === item.commentOperation.length ? 'none' : '1.5px solid #dadada'}">
                <!-- {{process.commentManagement }} -->
                <div style=" align-items:flex-start;text-align: left;
                justify-content: top;vertical-align: top !important;text-align:left">
                  {{process.poComment }}</div>

              </td>

              <td class="riskTemplate"
                [ngStyle]="{'border-bottom' : i+1 === item.commentOperation.length ? 'none' : '1.5px solid #dadada'}">
                <div *ngIf="validate === false;" style="text-align: center;min-height: 48px;">
                  {{process.pcComment }}</div>
                <select *ngIf="validate === true;" (ngModelChange)="changeSaveDraft()" class="form-control" style="margin-top: 10px;margin-left: 40px;
                width: 180px;" [(ngModel)]="process.pcComment">
                  <option *ngIf="process.pcComment === null" value=null selected disabled>
                    ระบุความเห็น
                  </option>
                  <option value="ยอมรับได้">ยอมรับได้</option>
                  <option value="ไม่เกี่ยวข้อง">ไม่เกี่ยวข้อง</option>
                  <option value="ไม่เห็นด้วย">ไม่เห็นด้วย</option>
                  <option *ngIf="process.pcComment !== null" [ngValue]=null>==ไม่ระบุความเห็น==</option>
                  <!-- <option value=null>ไม่ระบุข้อมูล</option> -->
                </select>
              </td>


              <td class="riskTemplate" style="padding-top: 11px;"
                [ngStyle]="{'border-bottom' : i+1 === item.commentOperation.length ? 'none' : '1.5px solid #dadada'}">
                <div *ngIf="validate === false;" style="text-align: left;min-height: 48px;">
                  {{process.pcExtraComment }}</div>
                <textarea *ngIf="validate === true;" (ngModelChange)="changeSaveDraft()"
                  placeholder="ระบุแนวทางการจัดการ" appTextareaAutoresize autocomplete="off"
                  class="form-control example" [(ngModel)]="process.pcExtraComment"></textarea>
              </td>

              <td class="riskTemplate"
                [ngStyle]="{'border-bottom' : i+1 === item.commentOperation.length ? 'none' : '1.5px solid #dadada'}">
                <div *ngIf="validate === false;" style="text-align: center;min-height: 48px;">
                  {{process.pcIssue }}</div>
                <select *ngIf="validate === true;" (ngModelChange)="changeSaveDraft()" class="form-control" style="margin-top: 10px;
                width: 90%;" [(ngModel)]="process.pcIssue">
                  <option *ngIf="process.pcIssue === null" value=null disabled>ระบุประเด็นคงค้าง</option>
                  <option value="No">No</option>
                  <option value="Pending_1">Pending 1</option>
                  <option value="Pending_2">Pending 2</option>
                  <option value="Pending_3">Pending 3</option>
                  <option value="Pending_4">Pending 4</option>
                  <option *ngIf="process.pcIssue !== null" [ngValue]=null>==ไม่ระบุประเด็นคงค้าง==
                  </option>
                </select>
              </td>


            </tr>
          </table>
        </td>


        </tr>
      </tbody>
    </table>
  </div>
  <br />
  <div class="row text-note">
    <div class="col-12">
      <span>หมายเหตุ</span>
    </div>
    <div class="col-12" *ngFor="let item of note; index as i">
      <span>{{ i + 1 }}. &nbsp;{{ item }}</span>
    </div>
  </div>
  <br />
  <br />
  <br />
  <!-- ====== -->

  <div class="detail_other">
    <div class="header_other">
      <th>ความเห็นเพิ่มเติม</th>
      <!-- ความเห็นเพิ่มเติม 2 -->
    </div>
  </div>

  <hr style="
    height: 1px;
    background-color: rgb(223, 223, 223);
    border: 1px solid rgb(223, 223, 223);
  " />

  <br>

  <div class="remark_other">
    <table>
      <thead>
        <tr>
          <th colspan="2" class="one_th">สายงานบริหารคุณภาพสินเชื่อและกระบวนการธุรกิจเครือข่ายรายย่อย</th>
          <th class="one_th">หน่วยงานที่นำเสนอ</th>
          <th colspan="3" class="one_th">
            คณะกรรมการผลิตภัณฑ์
          </th>
        </tr>
        <tr>
          <th style="width: 30%;">ประเด็น</th>
          <th>แนวทางการจัดการ</th>
          <th>ความเห็น</th>
          <th>
            ความเห็น
          </th>
          <th>
            ความเห็นเพิ่มเติม
          </th>
          <th>
            ระบุประเด็นคงค้าง
          </th>
        </tr>
      </thead>

      <tbody>
        <tr *ngFor="let data of POData.listRetailOperationDetailExtra;index as number2">
          <td style="width: 30%;vertical-align: top;" [ngClass]="{
            td_single: number2 % 2 !== 0,
            td_couple: number2 % 2 === 0
          }">
            <!-- <input
              class="form-control"
              placeholder="ระบุประเด็น"
              [(ngModel)]="data.subject"
            /> -->
            {{data.subject}}
          </td>

          <td style="vertical-align: top;" [ngClass]="{
            td_single: number2 % 2 !== 0,
            td_couple: number2 % 2 === 0
          }">
            <!-- <input
              class="form-control"
              placeholder="ระบุแนวทางการจัดการ"
              [(ngModel)]="data.manage"
            /> -->
            {{data.management}}
          </td>

          <td style="vertical-align: top;" [ngClass]="{
            td_single: number2 % 2 !== 0,
            td_couple: number2 % 2 === 0
          }">
            <!-- <input
              class="form-control"
              placeholder="ระบุแนวความเห็น"
              [(ngModel)]="data.poComment"
            /> -->
            {{data.poComment}}
          </td>

          <td style="text-align:center;vertical-align: top;" [ngClass]="{
            td_single: number2 % 2 !== 0,
            td_couple: number2 % 2 === 0
          }">
            <div *ngIf="validate == false">{{data.pcComment}}</div>
            <select *ngIf="validate == true" (ngModelChange)="changeSaveDraft()" class="form-control"
              [(ngModel)]="data.pcComment">
              <option *ngIf="data.pcComment === null" value=null selected disabled>ระบุความเห็น</option>
              <option value="ยอมรับได้">ยอมรับได้</option>
              <option value="ไม่เห็นด้วย">ไม่เห็นด้วย</option>
              <option value="ไม่เกี่ยวข้อง">ไม่เกี่ยวข้อง</option>
              <option *ngIf="data.pcComment !== null" [ngValue]=null>==ไม่ระบุความเห็น==</option>
              <!-- <option value=null>ไม่ระบุข้อมูล</option> -->
            </select>
          </td>

          <td style="vertical-align: top;" [ngClass]="{
            td_single: number2 % 2 !== 0,
            td_couple: number2 % 2 === 0
          }">
            <div *ngIf="validate == false">{{data.pcExtraComment}}</div>
            <textarea *ngIf="validate == true" (ngModelChange)="changeSaveDraft()" appTextareaAutoresize
              autocomplete="off" class="form-control example" placeholder="ระบุแนวความเห็น"
              [(ngModel)]="data.pcExtraComment"></textarea>
            <!-- {{ data.poComment }} -->
          </td>

          <td style="text-align:center;vertical-align: top;" [ngClass]="{
            td_single: number2 % 2 !== 0,
            td_couple: number2 % 2 === 0
          }">
            <div *ngIf="validate == false">{{data.pcIssue}}</div>
            <select *ngIf="validate == true" class="form-control" [(ngModel)]="data.pcIssue"
              (ngModelChange)="changeSaveDraft()">
              <option *ngIf="data.pcIssue === null" value=null disabled>ระบุประเด็นคงค้าง</option>
              <option value="No">No</option>
              <option value="Pending_1">Pending 1</option>
              <option value="Pending_2">Pending 2</option>
              <option value="Pending_3">Pending 3</option>
              <option value="Pending_4">Pending 4</option>
              <option *ngIf="data.pcIssue !== null" [ngValue]=null>==ไม่ระบุประเด็นคงค้าง==
              </option>
            </select>
            <!-- {{ data.poComment }} -->
          </td>

        </tr>
      </tbody>
    </table>
  </div>
  <br />
  <div class="row text-note">
    <div class="col-12">
      <span>หมายเหตุ</span>
    </div>
    <div class="col-12" *ngFor="let item of note; index as i">
      <span>{{ i + 1 }}. &nbsp;{{ item }}</span>
    </div>
  </div>
  <br />
</div>
<!-- --------------------------------------------------------------------------------------------------------------------------------------------------------- -->

<br><br>

<div *ngIf="validate === true || validate === false">
  <!-- ค่าเริ่มต้น validate ต้องเท่ากับ  null -->
  <app-comment-management [rolePageName]="{role:'Retail', validate: validate }"></app-comment-management>
</div>